import request from '@/utils/request'

export function getMineUser(data = {}) {
  return request({
    url: '/app/mine/user',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getMineInfo(data = {}) {
  return request({
    url: '/app/mine/info',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getMineLogout(data = {}) {
  return request({
    url: '/app/mine/logout',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getMineUpdate(data = {}) {
  return request({
    url: '/app/mine/update',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getPasswordUpdate(data = {}) {
  return request({
    url: '/app/mine/update/password',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}